/*Loader CSS Starts*/
#cover-spin {
    position: fixed;
    width: 100%;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: rgba(255,255,255,0.7);
    z-index: 9999;
    display: block;
}

@-webkit-keyframes spin {
    from {
        -webkit-transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

#cover-spin::after {
    content: '';
    display: block;
    position: absolute;
    left: 48%;
    top: 40%;
    width: 40px;
    height: 40px;
    border-style: solid;
    border-color: black;
    border-top-color: transparent;
    border-width: 4px;
    border-radius: 50%;
    -webkit-animation: spin .8s linear infinite;
    animation: spin .8s linear infinite;
}
/*Loader CSS ENDS*/

/*Modal dialog Padding CSS Starts*/
.ui-dialog-content {
    padding: 0px
}
/*Modal dialog Padding CSS Ends*/

/*RADZEN Grid Sorting Icons Override CSS Starts*/
.ui-sortable-column .fa-sort {
    color: #3a474d;
}

.ui-sortable-column .fa {
    width: 1rem;
    height: 1rem;
    font-size: 1rem;
    vertical-align: middle;
}

.material-icons, .fc-prev-button .ui-icon, .fc-next-button .ui-icon, .fa, .pi, .ui-menuitem .ui-menuitem-icon {
    font-family: "Material Icons";
    font-weight: normal;
    font-style: normal;
    font-size: 1.5em;
    display: inline-block;
    width: 1em;
    height: 1em;
    line-height: 1;
    text-transform: none;
    letter-spacing: normal;
    word-wrap: normal;
    white-space: nowrap;
    direction: ltr;
    -webkit-font-smoothing: antialiased;
    text-rendering: optimizeLegibility;
    -moz-osx-font-smoothing: grayscale;
    font-feature-settings: "liga";
}
/*RADZEN Grid Sorting Icons Override CSS Ends*/

/*INFINITE PROGRESS BAR CSS Starts*/
.progress-bar {
    height: 10px;
    background-color: rgba(141, 156, 154, 0.2);
    width: 100%;
    overflow: hidden;
}

.progress-bar-value {
    width: 100%;
    height: 100%;
    background-color: #b1d237;
    animation: indeterminateAnimation 1s infinite linear;
    transform-origin: 0% 50%;
}

@keyframes indeterminateAnimation {
    0% {
        transform: translateX(0) scaleX(0);
    }

    40% {
        transform: translateX(0) scaleX(0.4);
    }

    100% {
        transform: translateX(100%) scaleX(0.5);
    }
}
/*INFINITE PROGRESS BAR CSS Ends*/

.symbol {
    display: inline-block;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    position: relative;
    border-radius: 0.42rem;
}

    .symbol.symbol-light-warning .symbol-label {
        background-color: #FFF4DE;
        color: #FFA800;
    }

    .symbol.symbol-40 > img {
        width: 100%;
        max-width: 40px;
        height: 40px;
    }

    .symbol.symbol-40 .symbol-label {
        width: 40px;
        height: 40px;
    }

    .symbol.symbol-40 .symbol-badge {
        width: 12px;
        height: 12px;
        top: -6px;
        right: -6px;
    }

        .symbol.symbol-40 .symbol-badge.symbol-badge-bottom {
            top: auto;
            bottom: -6px;
        }

    .symbol.symbol-40.symbol-circle .symbol-badge {
        top: -3.8px;
        right: -3.8px;
    }

        .symbol.symbol-40.symbol-circle .symbol-badge.symbol-badge-bottom {
            top: auto;
            bottom: -3.8px;
        }

    .symbol.symbol-40.symbol-fixed .symbol-label {
        width: 40px;
        height: 40px;
    }

    .symbol.symbol-40.symbol-fixed > img {
        width: 40px;
        height: 40px;
        max-width: auto;
    }

    .symbol.symbol-40.symbol-2by3 .symbol-label {
        height: 40px;
        width: 60px;
    }

    .symbol.symbol-40.symbol-2by3 > img {
        height: 40px;
        width: 60px;
        max-width: auto;
    }


.notifcationHover:hover {
    cursor: pointer;
}

/*----------Drag-Drop CSS-------------------------------*/
.jobs-container {
    display: flex;
    justify-content: space-around;
}

.job-status {
    display: flex;
    flex-direction: column;
    width: 312px;
}

    .job-status ul {
        flex: 1;
    }

.dropzone {
    border: 1px solid #eff5f7;
    border-radius: 5px;
    background-color: #efe8e887;
    /*min-height: 200px;*/
    /*overflow-y: scroll;*/
    /*max-height: 200px;*/
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
    font-size: 12px;
    padding-left: 8px;
    padding-right: 8px;
}

.no-drop {
    border: 2px dashed red;
}

.can-drop {
    border: 2px dashed black;
}

.draggable {
    margin-bottom: 10px;
    border: 1px solid #5c6b7f;
    cursor: grab;
    background: #5c6b7f;
    color: #ffffff;
    border-radius: 5px;
    line-height: 16px;
}

    .draggable:active {
        cursor: grabbing;
    }

.dragging {
    cursor: grabbing;
}

.last-updated {
    margin-bottom: 0;
    font-size: 11px;
    color: #e1e5ea;
    font-weight: bold;
}

    .last-updated small {
        text-transform: uppercase;
        color: #c4cbd4;
        font-size: 11px;
    }

.dragHeader {
    font-weight: 400;
    background: #b0bdce7a;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    font-size: 12px;
    padding-left: 8px;
    padding-right: 8px;
    line-height: 17px;
}

/*.dropzone::-webkit-scrollbar {
    width: 10px;
}

.dropzone::-webkit-scrollbar-track {*/
/*box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);*/
/*border-radius: 10px;*/
/*background-color: #efe8e887;
}

.dropzone::-webkit-scrollbar-thumb {*/
/*box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);*/
/*border-radius: 10px;
    background-color: #b0bdce7a;
}

.truckDiv::-webkit-scrollbar {
    width: 10px;
}

.truckDiv::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background-color: #b0bdce7a;
}*/

/*---------Authenticate amination-------------*/
#inTurnFadingTextG {
    width: 234px;
    margin: auto;
}

.inTurnFadingTextG {
    color: rgb(0,0,0);
    font-family: Arial;
    font-size: 24px;
    text-decoration: none;
    font-weight: normal;
    font-style: normal;
    float: left;
    animation-name: bounce_inTurnFadingTextG;
    -o-animation-name: bounce_inTurnFadingTextG;
    -ms-animation-name: bounce_inTurnFadingTextG;
    -webkit-animation-name: bounce_inTurnFadingTextG;
    -moz-animation-name: bounce_inTurnFadingTextG;
    animation-duration: 1.451s;
    -o-animation-duration: 1.451s;
    -ms-animation-duration: 1.451s;
    -webkit-animation-duration: 1.451s;
    -moz-animation-duration: 1.451s;
    animation-iteration-count: infinite;
    -o-animation-iteration-count: infinite;
    -ms-animation-iteration-count: infinite;
    -webkit-animation-iteration-count: infinite;
    -moz-animation-iteration-count: infinite;
    animation-direction: normal;
    -o-animation-direction: normal;
    -ms-animation-direction: normal;
    -webkit-animation-direction: normal;
    -moz-animation-direction: normal;
}

#inTurnFadingTextG_1 {
    animation-delay: 0.5225s;
    -o-animation-delay: 0.5225s;
    -ms-animation-delay: 0.5225s;
    -webkit-animation-delay: 0.5225s;
    -moz-animation-delay: 0.5225s;
}

#inTurnFadingTextG_2 {
    animation-delay: 0.619s;
    -o-animation-delay: 0.619s;
    -ms-animation-delay: 0.619s;
    -webkit-animation-delay: 0.619s;
    -moz-animation-delay: 0.619s;
}

#inTurnFadingTextG_3 {
    animation-delay: 0.7255s;
    -o-animation-delay: 0.7255s;
    -ms-animation-delay: 0.7255s;
    -webkit-animation-delay: 0.7255s;
    -moz-animation-delay: 0.7255s;
}

#inTurnFadingTextG_4 {
    animation-delay: 0.832s;
    -o-animation-delay: 0.832s;
    -ms-animation-delay: 0.832s;
    -webkit-animation-delay: 0.832s;
    -moz-animation-delay: 0.832s;
}

#inTurnFadingTextG_5 {
    animation-delay: 0.9385s;
    -o-animation-delay: 0.9385s;
    -ms-animation-delay: 0.9385s;
    -webkit-animation-delay: 0.9385s;
    -moz-animation-delay: 0.9385s;
}

#inTurnFadingTextG_6 {
    animation-delay: 1.035s;
    -o-animation-delay: 1.035s;
    -ms-animation-delay: 1.035s;
    -webkit-animation-delay: 1.035s;
    -moz-animation-delay: 1.035s;
}

#inTurnFadingTextG_7 {
    animation-delay: 1.1415s;
    -o-animation-delay: 1.1415s;
    -ms-animation-delay: 1.1415s;
    -webkit-animation-delay: 1.1415s;
    -moz-animation-delay: 1.1415s;
}

#inTurnFadingTextG_8 {
    animation-delay: 1.248s;
    -o-animation-delay: 1.248s;
    -ms-animation-delay: 1.248s;
    -webkit-animation-delay: 1.248s;
    -moz-animation-delay: 1.248s;
}

#inTurnFadingTextG_9 {
    animation-delay: 1.3545s;
    -o-animation-delay: 1.3545s;
    -ms-animation-delay: 1.3545s;
    -webkit-animation-delay: 1.3545s;
    -moz-animation-delay: 1.3545s;
}

#inTurnFadingTextG_10 {
    animation-delay: 1.451s;
    -o-animation-delay: 1.451s;
    -ms-animation-delay: 1.451s;
    -webkit-animation-delay: 1.451s;
    -moz-animation-delay: 1.451s;
}

#inTurnFadingTextG_11 {
    animation-delay: 1.5575s;
    -o-animation-delay: 1.5575s;
    -ms-animation-delay: 1.5575s;
    -webkit-animation-delay: 1.5575s;
    -moz-animation-delay: 1.5575s;
}

#inTurnFadingTextG_12 {
    animation-delay: 1.664s;
    -o-animation-delay: 1.664s;
    -ms-animation-delay: 1.664s;
    -webkit-animation-delay: 1.664s;
    -moz-animation-delay: 1.664s;
}

#inTurnFadingTextG_13 {
    animation-delay: 1.7705s;
    -o-animation-delay: 1.7705s;
    -ms-animation-delay: 1.7705s;
    -webkit-animation-delay: 1.7705s;
    -moz-animation-delay: 1.7705s;
}

#inTurnFadingTextG_14 {
    animation-delay: 1.867s;
    -o-animation-delay: 1.867s;
    -ms-animation-delay: 1.867s;
    -webkit-animation-delay: 1.867s;
    -moz-animation-delay: 1.867s;
}

#inTurnFadingTextG_15 {
    animation-delay: 1.9735s;
    -o-animation-delay: 1.9735s;
    -ms-animation-delay: 1.9735s;
    -webkit-animation-delay: 1.9735s;
    -moz-animation-delay: 1.9735s;
}

#inTurnFadingTextG_16 {
    animation-delay: 2.08s;
    -o-animation-delay: 2.08s;
    -ms-animation-delay: 2.08s;
    -webkit-animation-delay: 2.08s;
    -moz-animation-delay: 2.08s;
}

#inTurnFadingTextG_17 {
    animation-delay: 2.1865s;
    -o-animation-delay: 2.1865s;
    -ms-animation-delay: 2.1865s;
    -webkit-animation-delay: 2.1865s;
    -moz-animation-delay: 2.1865s;
}




@keyframes bounce_inTurnFadingTextG {
    0% {
        color: rgb(0,0,0);
    }

    100% {
        color: rgb(255,255,255);
    }
}

@-o-keyframes bounce_inTurnFadingTextG {
    0% {
        color: rgb(0,0,0);
    }

    100% {
        color: rgb(255,255,255);
    }
}

@-ms-keyframes bounce_inTurnFadingTextG {
    0% {
        color: rgb(0,0,0);
    }

    100% {
        color: rgb(255,255,255);
    }
}

@-webkit-keyframes bounce_inTurnFadingTextG {
    0% {
        color: rgb(0,0,0);
    }

    100% {
        color: rgb(255,255,255);
    }
}

@-moz-keyframes bounce_inTurnFadingTextG {
    0% {
        color: rgb(0,0,0);
    }

    100% {
        color: rgb(255,255,255);
    }
}

.custom-upload .rz-fileupload-buttonbar {
    background-color: #5578eb;
}

/*// Hide the "Choose" text*/
.custom-upload .rz-button-text {
    font-size: medium;
    color: white;
    text-transform: uppercase;
    font-weight: 600;
}

/*// Remove background and padding from the button*/
.custom-upload .rz-fileupload-choose {
    background-color: #5578eb;
}

    /*// Remove styling applied when the user clicks the button*/
    .custom-upload .rz-fileupload-choose:active {
        background: none !important;
        box-shadow: none !important;
    }

    .custom-upload .rz-fileupload-choose:not(.rz-state-disabled):hover {
        background-color: #5578eb;
    }

.custom-image-upload .rz-fileupload-content.rz-corner-bottom {
    display: none !important;
}
/*
    Generic CSS Classes
*/
.cursor-pointer {
    cursor: pointer !important;
}

.readonly-checkbox {
    pointer-events: none !important;
}

.p-0 {
    padding: 0px !important;
}

.p-12 {
    padding: 12px !important;
}

.p-20 {
    padding: 20px !important;
}

.p-8-12 {
    padding: 8px 12px !important;
}

.p-8-16 {
    padding: 8px 16px !important;
}

.p-10-16 {
    padding: 10px 16px !important;
}

.pr-0 {
    padding-right: 0px !important;
}

.pt-0 {
    padding-top: 0px !important;
}

.pt-8 {
    padding-top: 8px !important;
}

.pt-10 {
    padding-top: 10px !important;
}

.pb-0 {
    padding-bottom: 0px !important;
}

.pb-8 {
    padding-bottom: 8px !important;
}

.pb-10 {
    padding-bottom: 10px !important;
}

.mr-4 {
    margin-right: 4px !important;
}

.mr-8 {
    margin-right: 8px !important;
}

.mr-10 {
    margin-right: 10px !important;
}

.mr-12 {
    margin-right: 12px !important;
}

.mr-20 {
    margin-right: 20px !important;
}

.mr-24 {
    margin-right: 24px !important;
}

.mr-28 {
    margin-right: 28px !important;
}

.mr-32 {
    margin-right: 32px !important;
}

.mt-8 {
    margin-top: 8px !important;
}

.mt-10 {
    margin-top: 10px !important;
}

.mt-12 {
    margin-top: 12px !important;
}

.mt-25 {
    margin-top: 25px !important;
}

.mb-4 {
    margin-bottom: 4px !important;
}

.mb-8 {
    margin-bottom: 8px !important;
}

.mb-12 {
    margin-bottom: 12px !important;
}

.mb-16 {
    margin-bottom: 16px !important;
}

.mb-20 {
    margin-bottom: 20px !important;
}

.mb-24 {
    margin-bottom: 24px !important;
}

.ml-4 {
    margin-left: 4px !important;
}

.ml-8 {
    margin-left: 8px !important;
}

.ml-10 {
    margin-left: 10px !important;
}

.ml-12 {
    margin-left: 12px !important;
}

.pl-8 {
    padding-left: 8px !important;
}

.none {
    display: none;
}

.hidden {
    visibility: hidden;
}

.red-color {
    color: red !important;
}

.h-100 {
    height: 100% !important;
}

.fnt-w-400 {
    font-weight: 400 !important;
}

.fnt-w-normal {
    font-weight: 500 !important;
}

.fnt-14 {
    font-size: 14px !important;
}

.fnt-16 {
    font-size: 16px !important;
}

.black-700 {
    color: #a9b4bc !important;
}

.border-1-black-700 {
    border: 1px solid #a9b4bc !important;
}

.customize-dropdown-inner {
    width: 100% !important;
    font-weight: 400 !important;
    color: #a9b4bc !important;
    border: 1px solid #a9b4bc !important;
}

    .customize-dropdown-inner .rz-inputtext {
        text-align: left !important;
    }

.align-items-center {
    align-items: center;
}

.inline-flex {
    display: inline-flex;
}

.inline-grid {
    display: inline-grid;
}

.inline-block {
    display: inline-block;
}

.bc-transparent {
    border-color: transparent !important;
}

.background {
    background: transparent !important;
}

.btn-inline {
    margin-left: 4px !important;
    width: 25%;
    padding: 0px !important;
    border-color: transparent !important;
    background: transparent !important;
    color: #5578eb !important;
}

.action-buttons {
    display: inline-flex;
    align-items: flex-end;
}

.total-header-font {
    font-weight: bold !important;
    color: #646c9a !important;
    font-size: 14px !important;
}

.grid-scroll-300 {
    cursor: pointer;
    min-height: 0px;
    max-height: 300px;
    overflow: auto;
}

.grid-scroll-600 {
    cursor: pointer;
    min-height: 0px;
    max-height: 600px;
    overflow: auto;
}

.bg-color-grey {
    background-color: #f2f3f8;
}

.highlight-remaining-time {
    color: #fff;
    background: linear-gradient(135deg, #2fd8aa, #c1d82f);
    border-radius: 6px;
    font-weight: bold;
    line-height: 1;
    margin-bottom: 0;
    display: inline-block;
    height: fit-content;
    text-align: center;
    width: 100%;
}

.time-display {
    font-size: 130px;
    display: flex;
    justify-content: center;
    gap: 10px;
}

.remaining-labels {
    font-size: 18px;
    margin-top: 5px;
    display: flex;
    justify-content: center;
    gap: 110px;
}

.extra-large-font {
    font-size: xx-large;
}

.justify-center {
    justify-content: center !important;
}

.line-seperator {
    border: 1px solid #ccc;
    margin: 20px 0;
}

.customize-text-box {
    height: calc(1em + 1.3rem) !important;
}

.datagrid-drop-highlight td {
    border-top: 1px solid black;
    border-bottom: 1px solid black;
}

.h-35 {
    height: 35px;
}

.h-0 {
    height: 0px !important;
}

.mt-30 {
    margin-top: 30px !important;
}

.mt-32 {
    margin-top: 32px !important;
}

.bg-aliceblue {
    background-color: aliceblue;
}

.custom-table {
    width: 100%;
    border-collapse: collapse; /* removes double borders */
    color: #000 !important;
}

    .custom-table th,
    .custom-table td {
        border: 1px solid #444; /* darker border */
        padding: 10px;
    }

.w-25 {
    width: 25% !important;
}

.w-50 {
    width: 50% !important;
}

.w-75 {
    width: 75% !important;
}

.w-100 {
    width: 100% !important;
}

.custom-kt-checkbox {
    width: 24px !important;
    height: 24px !important;
}

.justify-content-evenly {
    justify-content: space-evenly;
}

.block {
    display: block;
}

.header-action-buttons {
    display: inline-flex !important;
    align-items: center !important;
    justify-content: end !important;
}

.black-color {
    color: black !important;
}
